# Scipy + MD + Mkdocs Cookiecutter Template

This repo is a template for [cookiecutter](https://cookiecutter.readthedocs.io).
It creates a data science pipeline project, using the python
[scipy stack](https://scipy.org/), [mkdocs](https://www.mkdocs.org/) for
documentation and [pandoc](https://pandoc.org/) to generate reports from
markdown files.

## Usage

```shell
cookiecutter https://git.acereca.ne/acereca/CCSciPyMD.git
```

This will start the creation process and ask for a new project name.

## Project Setup

The created project is then based on a makefile piepline.

1) run all data processing tasks with
  ```shell
  make all
  ```

2) create reports based on the processing
  ```shell
  make docs
  ```

---

To createa and view the documentation use

```shell
make mkdocs
```

---

Cleanup removes all files from `out/`
```shell
make clean
```
